<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/Cpp/Emulator.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.Cpp.Emulator</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Parsers.html" >Parsers</a>.<a href="../Cpp.html" >Cpp</a>.Emulator

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Private Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__docformat__">__docformat__</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line8" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="Emulator/TempFile.html" >TempFile</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.TempFile" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line13" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="Emulator/CompilerInfo.html" >CompilerInfo</a></div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Parsers.Cpp.Emulator.CompilerInfo" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line244" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Info about one compiler.</div></div>
<div class="item"><div class="synopsis">class <a href="Emulator/CompilerList.html" >CompilerList</a></div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Parsers.Cpp.Emulator.CompilerList" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line281" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Emulator.html#find_ms_compiler_info" >find_ms_compiler_info</a></span>()  </div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.find_ms_compiler_info" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line27" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    Try to find a &#40;C++&#41; MSVC compiler.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Emulator.html#find_gcc_compiler_info" >find_gcc_compiler_info</a></span>(<span class="variable">language</span>, <span class="variable">compiler</span>, <span class="variable">flags</span>)  </div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.find_gcc_compiler_info" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line152" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    Try to find a GCC-based C or C++ compiler.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="find_compiler_info">find_compiler_info</a>(<span class="variable">language</span>, <span class="variable">compiler</span>, <span class="variable">flags</span>)  </div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.find_compiler_info" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line213" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Emulator.html#get_compiler_timestamp" >get_compiler_timestamp</a></span>(<span class="variable">compiler</span>)  </div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.get_compiler_timestamp" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line228" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Emulator.html#get_compiler_info" >get_compiler_info</a></span>(<span class="variable">language</span>, <span class="variable">compiler</span> = <span class="value">''</span>, <span class="variable">flags</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.get_compiler_info" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line423" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    Returns the compiler info for the given compiler.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="compiler_list">compiler_list</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line420" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="Emulator/CompilerInfo.html" >CompilerInfo</a></div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Parsers.Cpp.Emulator.CompilerInfo" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line244" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Info about one compiler.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="find_ms_compiler_info">find_ms_compiler_info</a>()  </div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.find_ms_compiler_info" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line27" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    Try to find a &#40;C++&#41; MSVC compiler.
    Return tuple of include path list and macro dictionary.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="find_gcc_compiler_info">find_gcc_compiler_info</a>(<span class="variable">language</span>, <span class="variable">compiler</span>, <span class="variable">flags</span>)  </div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.find_gcc_compiler_info" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line152" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    Try to find a GCC-based C or C++ compiler.
    Return tuple of include path list and macro dictionary.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="get_compiler_timestamp">get_compiler_timestamp</a>(<span class="variable">compiler</span>)  </div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.get_compiler_timestamp" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line228" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns the timestamp for the given compiler&#44; or 0 if not found</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="get_compiler_info">get_compiler_info</a>(<span class="variable">language</span>, <span class="variable">compiler</span> = <span class="value">''</span>, <span class="variable">flags</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.get_compiler_info" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line423" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    Returns the compiler info for the given compiler. If none is
    specified &#40;''&#41;&#44; return the first available one for the given language.
    The info is returned as a CompilerInfo object&#44; or None if the compiler
    isn't found. 
    </div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
